#ifndef commonHeader_h
#define commonHeader_h

/* defines the size_type and the writeToScreen functions */
#ifdef MATLAB_MEX_FILE
	#define size_type mwSize
	#include "mex.h"
	#define writeToScreen1(a, b) mexPrintf(a, b)
	#define writeToScreen(a) mexPrintf(a)
	#define writeError(string) mexErrMsgIdAndTxt("MyToolbox:mexMaster:standard", string)
#else
	#include <stdio.h>
	#define size_type size_t
	#define writeToScreen1(a, b) printf(a,b)
	#define writeToScreen(a) printf(a)
	#define writeError(string) printf(string)
#endif

#endif /*commonHeader_h_*/
